## cascading.util
Class ShutdownUtil.Hook

    java.lang.Object
      cascading.util.ShutdownUtil.Hook

Enclosing class:
  ShutdownUtil

    public abstract static class ShutdownUtil.Hook

extends Object

Nested Class Summary
`static class` `ShutdownUtil.Hook.Priority`

Constructor Summary
`ShutdownUtil.Hook()`

Method Summary
`abstract void` `execute()`
`abstract ShutdownUtil.Hook.Priority` `priority()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShutdownUtil.Hook

    public ShutdownUtil.Hook()

Method Detail

### priority

    public abstract ShutdownUtil.Hook.Priority priority()

### execute

    public abstract void execute()

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.